Package org.apache.storm.generated

# Interface Nimbus.AsyncIface

All Known Implementing Classes:
  `Nimbus.AsyncClient`

Enclosing class:
  Nimbus

public static interface Nimbus.AsyncIface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `beginBlobDownload(String key, org.apache.storm.thrift.async.AsyncMethodCallback<BeginDownloadResult> resultHandler)`
  `void`
  `beginCreateBlob(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `beginFileUpload(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `beginUpdateBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `cancelBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `createStateInZookeeper(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `deactivate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `debug(String name, String component, boolean enable, double samplingPercentage, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `deleteBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `downloadBlobChunk(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler)`
  `void`
  `downloadChunk(String id, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler)`
  `void`
  `finishBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `finishFileUpload(String location, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `getBlobMeta(String key, org.apache.storm.thrift.async.AsyncMethodCallback<ReadableBlobMeta> resultHandler)`
  `void`
  `getBlobReplication(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
  `void`
  `getClusterInfo(org.apache.storm.thrift.async.AsyncMethodCallback<ClusterSummary> resultHandler)`
  `void`
  `getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<ComponentPageInfo> resultHandler)`
  `void`
  `getComponentPendingProfileActions(String id, String component_id, ProfileAction action, org.apache.storm.thrift.async.AsyncMethodCallback<List<ProfileRequest>> resultHandler)`
  `void`
  `getLeader(org.apache.storm.thrift.async.AsyncMethodCallback<NimbusSummary> resultHandler)`
  `void`
  `getLogConfig(String name, org.apache.storm.thrift.async.AsyncMethodCallback<LogConfig> resultHandler)`
  `void`
  `getNimbusConf(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `getOwnerResourceSummaries(String owner, org.apache.storm.thrift.async.AsyncMethodCallback<List<OwnerResourceSummary>> resultHandler)`
  `void`
  `getSupervisorAssignments(String node, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorAssignments> resultHandler)`
  `void`
  `getSupervisorPageInfo(String id, String host, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorPageInfo> resultHandler)`
  `void`
  `getTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler)`
  `void`
  `getTopologyConf(String id, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)`
  `void`
  `getTopologyHistory(String user, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyHistoryInfo> resultHandler)`
  `void`
  `getTopologyInfo(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyInfoByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyInfoByNameWithOpts(String name, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyInfoWithOpts(String id, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler)`
  `void`
  `getTopologyPageInfo(String id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyPageInfo> resultHandler)`
  `void`
  `getTopologySummaries(org.apache.storm.thrift.async.AsyncMethodCallback<List<TopologySummary>> resultHandler)`
  `void`
  `getTopologySummary(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler)`
  `void`
  `getTopologySummaryByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler)`
  `void`
  `getUserTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler)`
  `void`
  `isRemoteBlobExists(String blobKey, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
  `void`
  `isTopologyNameAllowed(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler)`
  `void`
  `killTopology(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `killTopologyWithOpts(String name, KillOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `listBlobs(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ListBlobsResult> resultHandler)`
  `void`
  `processWorkerMetrics(WorkerMetrics metrics, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `rebalance(String name, RebalanceOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `setBlobMeta(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `setLogConfig(String name, LogConfig config, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `setWorkerProfiler(String id, ProfileRequest profileRequest, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `updateBlobReplication(String key, int replication, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler)`
  `void`
  `uploadBlobChunk(String session, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `uploadChunk(String location, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
  `void`
  `uploadNewCredentials(String name, Credentials creds, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`

- ## Method Details

  - ### submitTopology

    void submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### submitTopologyWithOpts

    void submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### killTopology

    void killTopology(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### killTopologyWithOpts

    void killTopologyWithOpts(String name, KillOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### activate

    void activate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### deactivate

    void deactivate(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### rebalance

    void rebalance(String name, RebalanceOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### setLogConfig

    void setLogConfig(String name, LogConfig config, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getLogConfig

    void getLogConfig(String name, org.apache.storm.thrift.async.AsyncMethodCallback<LogConfig> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### debug

    void debug(String name, String component, boolean enable, double samplingPercentage, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### setWorkerProfiler

    void setWorkerProfiler(String id, ProfileRequest profileRequest, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getComponentPendingProfileActions

    void getComponentPendingProfileActions(String id, String component_id, ProfileAction action, org.apache.storm.thrift.async.AsyncMethodCallback<List<ProfileRequest>> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadNewCredentials

    void uploadNewCredentials(String name, Credentials creds, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginCreateBlob

    void beginCreateBlob(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginUpdateBlob

    void beginUpdateBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadBlobChunk

    void uploadBlobChunk(String session, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### finishBlobUpload

    void finishBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### cancelBlobUpload

    void cancelBlobUpload(String session, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getBlobMeta

    void getBlobMeta(String key, org.apache.storm.thrift.async.AsyncMethodCallback<ReadableBlobMeta> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### setBlobMeta

    void setBlobMeta(String key, SettableBlobMeta meta, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginBlobDownload

    void beginBlobDownload(String key, org.apache.storm.thrift.async.AsyncMethodCallback<BeginDownloadResult> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### downloadBlobChunk

    void downloadBlobChunk(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### deleteBlob

    void deleteBlob(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### listBlobs

    void listBlobs(String session, org.apache.storm.thrift.async.AsyncMethodCallback<ListBlobsResult> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getBlobReplication

    void getBlobReplication(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### updateBlobReplication

    void updateBlobReplication(String key, int replication, org.apache.storm.thrift.async.AsyncMethodCallback<Integer> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### createStateInZookeeper

    void createStateInZookeeper(String key, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginFileUpload

    void beginFileUpload(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadChunk

    void uploadChunk(String location, ByteBuffer chunk, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### finishFileUpload

    void finishFileUpload(String location, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### downloadChunk

    void downloadChunk(String id, org.apache.storm.thrift.async.AsyncMethodCallback<ByteBuffer> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getNimbusConf

    void getNimbusConf(org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getClusterInfo

    void getClusterInfo(org.apache.storm.thrift.async.AsyncMethodCallback<ClusterSummary> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologySummaries

    void getTopologySummaries(org.apache.storm.thrift.async.AsyncMethodCallback<List<TopologySummary>> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologySummaryByName

    void getTopologySummaryByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologySummary

    void getTopologySummary(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologySummary> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getLeader

    void getLeader(org.apache.storm.thrift.async.AsyncMethodCallback<NimbusSummary> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### isTopologyNameAllowed

    void isTopologyNameAllowed(String name, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoByName

    void getTopologyInfoByName(String name, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfo

    void getTopologyInfo(String id, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoByNameWithOpts

    void getTopologyInfoByNameWithOpts(String name, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoWithOpts

    void getTopologyInfoWithOpts(String id, GetInfoOptions options, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyPageInfo

    void getTopologyPageInfo(String id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyPageInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getSupervisorPageInfo

    void getSupervisorPageInfo(String id, String host, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorPageInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getComponentPageInfo

    void getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys, org.apache.storm.thrift.async.AsyncMethodCallback<ComponentPageInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyConf

    void getTopologyConf(String id, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopology

    void getTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getUserTopology

    void getUserTopology(String id, org.apache.storm.thrift.async.AsyncMethodCallback<StormTopology> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getTopologyHistory

    void getTopologyHistory(String user, org.apache.storm.thrift.async.AsyncMethodCallback<TopologyHistoryInfo> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getOwnerResourceSummaries

    void getOwnerResourceSummaries(String owner, org.apache.storm.thrift.async.AsyncMethodCallback<List<OwnerResourceSummary>> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getSupervisorAssignments

    void getSupervisorAssignments(String node, org.apache.storm.thrift.async.AsyncMethodCallback<SupervisorAssignments> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### sendSupervisorWorkerHeartbeats

    void sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### sendSupervisorWorkerHeartbeat

    void sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### processWorkerMetrics

    void processWorkerMetrics(WorkerMetrics metrics, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### isRemoteBlobExists

    void isRemoteBlobExists(String blobKey, org.apache.storm.thrift.async.AsyncMethodCallback<Boolean> resultHandler) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`